コンテンツにスキップ
AchaduDevelopers
Developers/API/monitor_update
モニター

レーダーを更新する

基準、頻度、自動化を更新します。

PATCH/monitors/{id}monitors:write

リクエスト

idstring · pathリソース識別子。必須
namestring · bodyルール名。オプション
querystring · body監視対象の単語。オプション
sourcestring · bodyソースまたはマーケットプレイス。オプション
segment_idstring · bodyターゲットセグメント。オプション
min_pricenumber · body最低価格。オプション
max_pricenumber · body最大価格。オプション
min_commissionnumber · body最低手数料。オプション
min_discountnumber · body最低限の割引。オプション
orderstring · body結果の順序付け。オプション
limitinteger · bodyラウンドごとの最大値。オプション
interval_minutesinteger · body検索間の間隔。オプション
auto_approveboolean · body結果を自動的に承認します。オプション
activeboolean · bodyモニタリングを有効にします。オプション

curl
curl -X PATCH 'https://achadu.com/api/v1/monitors/resource_id' \
+  -H 'Authorization: Bearer ach_live_...' \
+  -H 'Accept: application/json' \
+  -H 'Content-Type: application/json' \
+  --data '{
  "name": "My integration",
  "query": "string",
  "source": "string"
}'

答え

200操作が完了しました
4xxコード、メッセージ、request_id のエラー